package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class ReplaceMaterialDto {
   @ApiModelProperty("老原料id")
   private Long oldMaterialId;
   @ApiModelProperty("新原料id")
   private Long newMaterialId;
   @ApiModelProperty("菜品id")
   private List<Long> baseDishesIds;

   public Long getOldMaterialId() {
      return this.oldMaterialId;
   }

   public Long getNewMaterialId() {
      return this.newMaterialId;
   }

   public List<Long> getBaseDishesIds() {
      return this.baseDishesIds;
   }

   public void setOldMaterialId(final Long oldMaterialId) {
      this.oldMaterialId = oldMaterialId;
   }

   public void setNewMaterialId(final Long newMaterialId) {
      this.newMaterialId = newMaterialId;
   }

   public void setBaseDishesIds(final List<Long> baseDishesIds) {
      this.baseDishesIds = baseDishesIds;
   }

}
